Pub/SubResume subscription

Resume subscription

Resume message delivery for a paused subscription.

curl -X POST "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/resume" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "id": "sub_5kN2mPqR",
    "name": "analytics-events-processor",
    "topic": "analytics.events",
    "status": "active",
    "push_endpoint": "example_string",
    "ack_deadline_seconds": 60,
    "max_delivery_attempts": 5,
    "filter": {},
    "created_at": "2024-04-01T10:00:00.000Z"
  }
}
POST
/admin/pubsub/subscriptions/{id}/resume
POST
Bearer Token
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key (query: admin_key)
admin_keystring
Required

Alternative to the Authorization header for server-to-server scenarios.

Alternative to the Authorization header for server-to-server scenarios.
path
idstring
Required

Subscription identifier.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

query
admin_keystring
Required

API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.

Path Parameters

idstring
Required

Subscription identifier.

Responses

successboolean
dataobject